Freeciv-3.1: tab_terrains Class Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Public Member Functions | Private Slots | Private Member Functions | Private Attributes
tab_terrains Class Reference

`#include <tab_terrains.h>`

Inheritance diagram for tab_terrains:

## Public Member Functions

| tab_terrains (ruledit_gui *ui_in)
void | refresh ()

## Private Slots

void | name_given ()
void | select_terrain ()
void | add_now ()
void | delete_now ()
void | edit_now ()
void | same_name_toggle (bool checked)
void | edit_effects ()

## Private Member Functions

void | update_terrain_info (struct terrain *pterr)
bool | initialize_new_terrain (struct terrain *pterr)

## Private Attributes

ruledit_gui * | ui
QLineEdit * | name
QLineEdit * | rname
QListWidget * | terrain_list
QCheckBox * | same_name
struct terrain * | selected

## Detailed Description

Definition at line 30 of file tab_terrains.h.

## Constructor & Destructor Documentation

## ◆ tab_terrains()

tab_terrains::tab_terrains | ( | ruledit_gui * | ui_in | ) |

explicit

Setup tab_terrains object

Definition at line 47 of file tab_terrains.cpp.

## Member Function Documentation

## ◆ add_now

void tab_terrains::add_now | ( |  | ) |

privateslot

User requested new terrain

Definition at line 245 of file tab_terrains.cpp.

Referenced by tab_terrains().

## ◆ delete_now

void tab_terrains::delete_now | ( |  | ) |

privateslot

User requested terrain deletion

Definition at line 206 of file tab_terrains.cpp.

Referenced by tab_terrains().

## ◆ edit_effects

void tab_terrains::edit_effects | ( |  | ) |

privateslot

User wants to edit effects

Definition at line 293 of file tab_terrains.cpp.

Referenced by tab_terrains().

## ◆ edit_now

void tab_terrains::edit_now | ( |  | ) |

privateslot

User requested terrain edit dialog

Definition at line 309 of file tab_terrains.cpp.

Referenced by tab_terrains().

## ◆ initialize_new_terrain()

bool tab_terrains::initialize_new_terrain | ( | struct terrain * | pterr | ) |

private

Initialize new terrain for use.

Definition at line 230 of file tab_terrains.cpp.

Referenced by add_now().

## ◆ name_given

void tab_terrains::name_given | ( |  | ) |

privateslot

User entered name for the terrain

Definition at line 174 of file tab_terrains.cpp.

Referenced by tab_terrains().

## ◆ refresh()

void tab_terrains::refresh | ( |  | ) |

Refresh the information.

Definition at line 116 of file tab_terrains.cpp.

Referenced by add_now(), delete_now(), ruledit_gui::launch_now(), name_given(), and tab_terrains().

## ◆ same_name_toggle

void tab_terrains::same_name_toggle | ( | bool | checked | ) |

privateslot

Toggled whether rule_name and name should be kept identical

Definition at line 282 of file tab_terrains.cpp.

Referenced by tab_terrains().

## ◆ select_terrain

void tab_terrains::select_terrain | ( |  | ) |

privateslot

User selected terrain from the list.

Definition at line 159 of file tab_terrains.cpp.

Referenced by tab_terrains().

## ◆ update_terrain_info()

void tab_terrains::update_terrain_info | ( | struct terrain * | pterr | ) |

private

Update info of the terrain

Definition at line 131 of file tab_terrains.cpp.

Referenced by add_now(), delete_now(), select_terrain(), and tab_terrains().

## Field Documentation

## ◆ name

QLineEdit* tab_terrains::name

private

Definition at line 43 of file tab_terrains.h.

Referenced by name_given(), same_name_toggle(), tab_terrains(), and update_terrain_info().

## ◆ rname

QLineEdit* tab_terrains::rname

private

Definition at line 44 of file tab_terrains.h.

Referenced by name_given(), same_name_toggle(), tab_terrains(), and update_terrain_info().

## ◆ same_name

QCheckBox* tab_terrains::same_name

private

Definition at line 46 of file tab_terrains.h.

Referenced by name_given(), tab_terrains(), and update_terrain_info().

## ◆ selected

struct terrain* tab_terrains::selected

private

Definition at line 48 of file tab_terrains.h.

Referenced by delete_now(), edit_effects(), edit_now(), name_given(), tab_terrains(), and update_terrain_info().

## ◆ terrain_list

QListWidget* tab_terrains::terrain_list

private

Definition at line 45 of file tab_terrains.h.

Referenced by refresh(), select_terrain(), and tab_terrains().

## ◆ ui

ruledit_gui* tab_terrains::ui

private

Definition at line 39 of file tab_terrains.h.

Referenced by delete_now(), edit_effects(), edit_now(), name_given(), and tab_terrains().